Unit tzp55r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP55R_p;

function tzp55r: String;

implementation

function tzp55r: String;
var
NP,MP,_i :Integer;
B :Array [0..6] of Real;
B2 :Array [0..2] of Real;
Q :Array [0..6] of Real;
R :Array [0..6] of Real;
const
A :Array [0..6] of Real = ( -10.0,30.0,-50.0,40.0,-20.0,8.0,8.0 );
B1 :Array [0..4] of Real = ( -8.0,6.0,-4.0,3.0,2.0 );
begin
Result := '';  {   }
NP := 6;
MP := 4;
ZP55R(NP,A,MP,B1,Q,R);
Result := Result + #$0D#$0A;
for _i:=0 to 6 do
 begin
  Result := Result + Format('%20.16f ',[Q[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 6 do
 begin
  Result := Result + Format('%20.16f ',[R[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzp55r',Result);  {     tzp55r.res }
exit;
end;

end.
